MacBook owners found that can’t log in the official online Apple store via Safari. On the page of the site says that access is restricted, as it is an “unsupported browser version”. As it turned out, that only happens with old versions of macOS and Safari.

The first issue drew the attention of the portal Mac Otakara. Journalists report that now to access the online Apple store need to have a version of OS X 10.10.5 Yosemite or later and Safari version 10.1.2 or higher.

Using third-party browsers to get around the problem, too, will fail, as compatible with Yosemite, Chrome or Firefox is also outdated. To access the site, users will still have to update the software.

Journalists suggest that Apple has taken such measures in order to make the process as safe as possible. However, this is a pretty ironic situation, because we can assume that the user wants to buy a new Apple device with improved security standards, but just not able to do so.

Read more •••

LEAVE A REPLY

Please enter your comment!
Please enter your name here